Bug 1272053 - Focus goes to secondary monitor when switching workspaces in primary monitor
Focus goes to secondary monitor when switching workspaces in primary monitor
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 07:11 EDT by Rodolfo Carvalho
Modified: 2017-06-27 12:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:13:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 653085 None None None Never

  None (edit)
Description Rodolfo Carvalho 2015-10-15 07:11:47 EDT
Description of problem:

Focus changes to secondary monitor when switching workspaces in the primary monitor.


Version-Release number of selected component (if applicable):
Fedora 22
$ uname -r
4.1.10-200.fc22.x86_64
$ gnome-shell --version
GNOME Shell 3.16.3


How reproducible:
Always

Steps to Reproduce:
1. Plug an external monitor to your laptop
2. Open the Display settings and configure the built-in monitor as SECONDARY and the external monitor as PRIMARY
3. Open three distinct windows, e.g. 3 gnome-terminal windows: one in the only workspace in the SECONDARY monitor, and one in each of two workspaces in the PRIMARY monitor

                                    primary monitor - workspace 1             
                                                                              
                                  +------------------------------------------+
                                  |                                          |
  secondary monitor               |                                          |
                                  |           +-------------------+          |
+-------------------------+       |           |                   |          |
|                         |       |           |    A              |          |
|      +-------------+    |       |           |                   |          |
|      |  B          |    |       |           |                   |          |
|      |             |    |       |           +-------------------+          |
|      +-------------+    |       |                                          |
|                         |       |                                          |
+-------------------------+       +------------------------------------------+
                                                                              
                                    workspace 2 (initially not visible)       
                                  +------------------------------------------+
                                  |                                          |
                                  |                                          |
                                  |           +-------------------+          |
                                  |           |  C                |          |
                                  |           |                   |          |
                                  |           |                   |          |
                                  |           +-------------------+          |
                                  |                                          |
                                  |                                          |
                                  +------------------------------------------+


4. Focus on the terminal A; you should have A and B visible, while your eyes are focused on A.

5. Change from workspace 1 to workspace 2 (e.g., using super+pgdown)


Actual results:

Focus is now on the terminal window B.


Expected results:

Focus should be in terminal window C, i.e., focus should have stayed in the same monitor that you're looking at.


Additional info:

The problem is reproducible even if PRIMARY=built-in and SECONDARY=external.

Workspace switching with multiple monitors seemed to work the way described in the expected results a couple of weeks ago.
Comment 1 Fedora End Of Life 2016-07-19 14:13:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Rodolfo Carvalho 2016-07-20 04:38:40 EDT
This is still a bug in Fedora 24. Nothing has changed.

https://bugzilla.gnome.org/show_bug.cgi?id=653085
Comment 3 Rodolfo Carvalho 2017-06-27 12:35:11 EDT
Still the case in Fedora 25.

Note You need to log in before you can comment on or make changes to this bug.